image: maven:lates

stages:
  - build
  - deploy
  
build:
  stage: build
  tags:
   - quantr-routing-algo
  script:
    - java -version
    - echo $JAVA_HOME
    - echo $MVN_HOME
    - echo $PATH
    - mvn -DskipTests $MAVEN_CLI_OPTS install

deploy to quantr maven:
  stage: deploy
  tags:
   - quantr-routing-algo
  script:
    - mvn -DskipTests deploy

